Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class Projection

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.Projection

All Implemented Interfaces:
  M4Data, M4Object, Projection, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class Projection

extends M4Data
implements XmlInfo, Projection

Version:
  $Id: Projection.java,v 1.6 2006/09/27 14:59:59 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_FROM_CONCEPT` db level: name of the attribute specifying the from-concept's id
`static java.lang.String` | `ATTRIB_PROJECTION_ID` db level: name of the attribute specifying the projection's id
`static java.lang.String` | `ATTRIB_TO_CONCEPT` db level: name of the attribute specifying the to-concept's id
`static java.lang.String` | `M4_TABLE_NAME` The name of the corresponding M4 table.
`static M4Info` | `m4Info` Cache for getM4Info()

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`Projection(DB db)`

Method Summary
`Concept` | `getFromConcept()` Getter method.
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`java.lang.String` | `getM4TableName()`
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`Concept` | `getToConcept()` Getter method.
`M4Info` | `getXmlInfo()`
`boolean` | `isValid()` For a valid projection, the From concept must have all the features of the To concept (correspondence is determined by name), and can have more.
`void` | `primitiveSetFromConcept(Concept fromConcept)` Primitive setter, do not use it!
`void` | `primitiveSetToConcept(Concept toConcept)` Primitive setter, do not use it!
`void` | `print()` Print this M4 object's parameters.
`protected void` | `removeAllM4References()` This method needs to be implemented by all `M4Data` objects.
`void` | `setFromConcept(Concept fromConcept)` Setter method for the From-Concept of this `Projection`
`void` | `setToConcept(Concept toConcept)` Setter method for the To-Concept of this `Projection`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDependentObjects, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getDependentObjects, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

  The name of the corresponding M4 table.

  See Also:
    Constant Field Values

### ATTRIB_PROJECTION_ID

    public static final java.lang.String ATTRIB_PROJECTION_ID

  db level: name of the attribute specifying the projection's id

  See Also:
    Constant Field Values

### ATTRIB_FROM_CONCEPT

    public static final java.lang.String ATTRIB_FROM_CONCEPT

  db level: name of the attribute specifying the from-concept's id

  See Also:
    Constant Field Values

### ATTRIB_TO_CONCEPT

    public static final java.lang.String ATTRIB_TO_CONCEPT

  db level: name of the attribute specifying the to-concept's id

  See Also:
    Constant Field Values

### m4Info

    public static M4Info m4Info

  Cache for getM4Info()

Constructor Detail

### Projection

    public Projection(DB db)

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `XmlInfo.getXmlInfo()`

### print

    public void print()

  Description copied from class: `M4Object`
  Print this M4 object's parameters. Must be implemented by all subclasses.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`
  See Also:
    `M4Object.print()`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getFromConcept

    public Concept getFromConcept()

  Getter method.

  Specified by:
    `getFromConcept` in interface `Projection`
  Returns:
    the `Concept` stored as the From-Concept in this `Projection`

### getToConcept

    public Concept getToConcept()

  Getter method.

  Specified by:
    `getToConcept` in interface `Projection`
  Returns:
    the `Concept` stored as the To-Concept in this `Projection`

### setFromConcept

    public void setFromConcept(Concept fromConcept)
                        throws M4Exception

  Setter method for the From-Concept of this `Projection`

  Specified by:
    `setFromConcept` in interface `Projection`
  Parameters:
    `fromConcept` - the `Concept` to be set as the new From-Concept
  Throws:
    `M4Exception`

### setToConcept

    public void setToConcept(Concept toConcept)
                      throws M4Exception

  Setter method for the To-Concept of this `Projection`

  Specified by:
    `setToConcept` in interface `Projection`
  Parameters:
    `toConcept` - the `Concept` to be set as the new To-Concept
  Throws:
    `M4Exception`

### primitiveSetFromConcept

    public void primitiveSetFromConcept(Concept fromConcept)

  Primitive setter, do not use it!

  Parameters:
    `fromConcept` - the new From-Concept to be set

### primitiveSetToConcept

    public void primitiveSetToConcept(Concept toConcept)

  Primitive setter, do not use it!

  Parameters:
    `fromConcept` - the new From-Concept to be set

### removeAllM4References

    protected void removeAllM4References()
                                  throws M4Exception

  Description copied from class: `M4Data`
  This method needs to be implemented by all `M4Data` objects. It has to remove all references to other `M4Object`s.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`
  See Also:
    `M4Data.removeAllM4References()`

### isValid

    public boolean isValid()
                    throws M4Exception

  For a valid projection, the From concept must have all the features of the To concept (correspondence is determined by name), and can have more.

  Specified by:
    `isValid` in interface `Projection`
  Returns:
    TRUE iff this projection represents a valid projection (feature selection) from the from concept to the to concept.
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005